[Testing Update] 2019-06-02 - ZFS, Deepin, KDE-Git, Haskell, Python

Hello community,

I am happy to announce another Testing Update!

This update holds the following changes:

  • We updated zfs modules to resolve a critical bug
  • KDE-Git packages got added. You may check them out via our new ISOs
  • More package updates to Deepin. Please discuss if Deepin is still useful for Manjaro
  • The usual haskell and python package updates

Give us the usual feedback and let us know what you think about this update.


Current supported Kernels

  • linux316 3.16.67
  • linux318 3.18.140 [EOL] (it is now really EOL!)
  • linux44 4.4.180 (no legacy nvidia-340 module!)
  • linux49 4.9.179
  • linux414 4.14.123
  • linux419 4.19.47
  • linux420 4.20.17 [EOL]
  • linux50 5.0.20
  • linux51 5.1.6
  • linux51 5.2-rc2 (few extramodules build, but not all yet!)
  • linux419-rt 4.19.37_rt20
  • linux50-rt 5.0.14_rt9

Package Updates (Sun Jun 2 12:30:07 CEST 2019)

  • testing community x86_64: 159 new and 164 removed package(s)
  • testing core x86_64: 4 new and 3 removed package(s)
  • testing extra x86_64: 29 new and 37 removed package(s)
  • testing multilib x86_64: 2 new and 2 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-01           2019-06-02
-------------------------------------------------------------------------------
                          attica-git5.59.0.r697.gf6b8af8-15.59.0.r698.g8558af1-1
                           baloo-git5.59.0.r2564.g80436408-15.59.0.r2566.g053a6f6e-1
                        bluez-qt-git5.59.0.r534.g0f6e5e4-15.59.0.r536.g753ce19-1
                          breeze-git5.16.80.r1844.g16dd6fc9-15.16.80.r1845.g8d768ab5-1
                    breeze-icons-git5.59.0.r1327.g25aeb1f8-15.59.0.r1334.gff72016e-1
                        discover-git5.16.80.r7254.gd931ab75-15.16.80.r7263.g679b1fa3-1
                         drkonqi-git5.16.80.r333.gb9cd8ab6-15.16.80.r334.g628ba8fd-1
             extra-cmake-modules-git5.59.0.r3074.g79665b0-15.59.0.r3075.g0c95c9f-1
            frameworkintegration-git5.59.0.r458.g134d1eb-15.59.0.r459.gcfb4323-1
                     kactivities-git5.59.0.r1230.gda6ce7c5-15.59.0.r1231.g3e7bacd1-1
               kactivities-stats-git5.59.0.r214.gae069cc-15.59.0.r215.g781d432-1
                        karchive-git5.59.0.r359.g5dedab8-15.59.0.r360.ge569c17-1
                           kauth-git5.59.0.r300.g78d72bb-15.59.0.r301.g4463d8d-1
                      kbookmarks-git5.59.0.r261.g4efacb6-15.59.0.r262.g19cf1f7-1
                        kcmutils-git5.59.0.r307.g713d877-15.59.0.r308.ge856359-1
                         kcodecs-git5.59.0.r255.g8e502ef-15.59.0.r256.g6fb4317-1
                     kcompletion-git5.59.0.r296.g757ec22-15.59.0.r297.g1b94adb-1
                         kconfig-git5.59.0.r570.gedaa62f-15.59.0.r571.gb0f86fd-1
                  kconfigwidgets-git5.59.0.r372.g80cc612-15.59.0.r373.g506254b-1
                     kcoreaddons-git5.59.0.r827.g6a686c2-15.59.0.r828.ge0f5bf2-1
                          kcrash-git5.59.0.r250.g3a57c48-15.59.0.r251.g7656928-1
                     kdbusaddons-git5.59.0.r261.g6020410-15.59.0.r262.g12e184b-1
                  kde-gtk-config-git5.16.80.r709.g48f2483-15.16.80.r710.ge2e2d08-1
                    kdeclarative-git5.59.0.r665.gd644659-15.59.0.r666.g18de001-1
                            kded-git5.59.0.r263.g3c1d57c-15.59.0.r264.g3950502-1
                 kdelibs4support-git5.59.0.r869.gab5766b3-15.59.0.r870.g4b12ebec-1
                 kdesignerplugin-git5.59.0.r235.gec570cd-15.59.0.r236.gdae599b-1
                           kdesu-git5.59.0.r350.gb913ed7-15.59.0.r351.gb40214f-1
                       kdewebkit-git5.59.0.r188.g2178ba0-15.59.0.r189.g81c3071-1
                          kdnssd-git5.59.0.r217.gee6ee9f-15.59.0.r218.g8a4d57a-1
                       kdoctools-git5.59.0.r485.g2d1c763-25.59.0.r486.g213cca1-1
                      kemoticons-git5.59.0.r267.g8bd3a6e-15.59.0.r268.g44c0cb6-1
                   kfilemetadata-git5.59.0.r614.g372a547-15.59.0.r616.gace5b41-1
                    kglobalaccel-git5.59.0.r303.gc04432a-15.59.0.r304.g21d5fb7-1
                      kguiaddons-git5.59.0.r226.g16af0b5-15.59.0.r227.gc2d9c70-1
                       kholidays-git5.59.0.r805.g7e74ee4-15.59.0.r806.ga460e3a-1
                           khtml-git5.59.0.r455.gea409d1-15.59.0.r456.gdcb4e60-1
                           ki18n-git5.59.0.r330.gd276fdb-15.59.0.r331.g4e7e041-1
                     kiconthemes-git5.59.0.r360.gd4484a1-15.59.0.r361.g2e7c763-1
                       kidletime-git5.59.0.r208.g1433e97-15.59.0.r209.g5421972-1
                   kimageformats-git5.57.0.r230.g90f340d-15.57.0.r231.g0196444-1
                     kinfocenter-git5.16.80.r1465.g59e5f2d-15.16.80.r1467.g275edf6-1
                           kinit-git5.59.0.r294.g5b3f5f7-15.59.0.r295.gea29972-1
                             kio-git5.59.0.r3440.g8e00726e-15.59.0.r3441.g197e7366-1
                       kirigami2-git5.59.0.r1832.g58c270b-15.59.0.r1834.gbf0d719-1
                     kitemmodels-git5.59.0.r346.gf8861c1-15.59.0.r347.ge292b3f-1
                      kitemviews-git5.59.0.r218.g33da39a-15.59.0.r219.g7c7edc2-1
                     kjobwidgets-git5.59.0.r244.g535e8d1-15.59.0.r245.g484dc7c-1
                             kjs-git5.59.0.r229.ge51da14-15.59.0.r230.g8cbcd6c-1
                        kjsembed-git5.59.0.r203.gf459e7a-15.59.0.r204.gdaccf90-1
                    kmediaplayer-git5.59.0.r198.g04fcefb-15.59.0.r199.gd90c4b7-1
                      knetattach-git5.16.80.r6646.g7669e1aa-15.16.80.r6656.gf5ad1bfc-1
                       knewstuff-git5.59.0.r673.g8725f55-15.59.0.r674.gdca3a8c-1
                  knotifications-git5.59.0.r425.geef093c-15.59.0.r427.g8a586a2-1
                   knotifyconfig-git5.59.0.r236.gb0dce34-15.59.0.r237.g3a86e11-1
                        kpackage-git5.59.0.r512.gb15b629-15.59.0.r513.ge5f7945-1
                          kparts-git5.59.0.r319.g78f56fd-15.59.0.r320.g589f608-1
                         kpeople-git5.59.0.r1177.g157fc9e-15.59.0.r1178.g1f9aa73-1
                       kplotting-git5.59.0.r192.g81e5ecb-15.59.0.r193.g6452bad-1
                            kpty-git5.59.0.r216.g1007f44-15.59.0.r217.gb9dcc6d-1
                           kross-git5.59.0.r241.gcbae9b4-15.59.0.r242.g421c594-1
                         krunner-git5.59.0.r360.g33f1b6f-15.59.0.r361.g2ccb357-1
                         kscreen-git5.16.80.r1118.g4027fd1-15.16.80.r1119.gb6c2585-1
                   kscreenlocker-git5.16.80.r695.g670bed7-15.16.80.r696.gbb8958e-1
                        kservice-git5.59.0.r646.g70bca6c-15.59.0.r647.g9611ca1-1
                     ktexteditor-git5.59.0.r2060.g7e739920-15.59.0.r2061.g09363673-1
                    ktextwidgets-git5.59.0.r256.ga980a8e-15.59.0.r257.g65a0069-1
                 kunitconversion-git5.59.0.r259.g1be3b3f-15.59.0.r260.g2274910-1
                         kwallet-git5.59.0.r895.g5220af7-15.59.0.r896.gd966cbb-1
                        kwayland-git5.59.0.r924.gddff2c0-15.59.0.r925.g831374c-1
                  kwidgetsaddons-git5.59.0.r546.gd8ac751-15.59.0.r547.g6de1fe2-1
                            kwin-git5.16.80.r17002.gfe2784702-15.16.80.r17005.gc62650394-1
                   kwindowsystem-git5.59.0.r427.g90dc578-15.59.0.r428.g3a5f49a-1
                         kxmlgui-git5.59.0.r505.g0ce888c-15.59.0.r506.gd2253f7-1
                   kxmlrpcclient-git5.59.0.r351.gf8ab9329c-15.59.0.r352.g183db04ab-1
                 modemmanager-qt-git5.59.0.r416.g469764d-15.59.0.r417.gd91c850-1
               networkmanager-qt-git5.59.0.r991.g97bd425-15.59.0.r993.g56dbd9c-1
                    oxygen-icons-git5.59.0.r187.gf4a7bf6-15.59.0.r188.g1b881e4-1
                oxygen-icons-svg-git5.59.0.r187.gf4a7bf6-15.59.0.r188.g1b881e4-1
      plasma-browser-integration-git5.16.80.r766.g535926af-15.16.80.r774.gf0c19e5d-1
                  plasma-desktop-git5.16.80.r6646.g7669e1aa-15.16.80.r6656.gf5ad1bfc-1
                plasma-framework-git5.59.0.r15173.g39d1db6e4-15.59.0.r15179.gb3bb412ef-1
                      plasma-sdk-git5.16.80.r2037.ga77562e-15.16.80.r2041.g55dc435-1
          plasma-wayland-session-git5.16.80.r7586.ga42ca389-15.16.80.r7597.gb059097a-1
                plasma-workspace-git5.16.80.r7586.ga42ca389-15.16.80.r7597.gb059097a-1
     plasma-workspace-wallpapers-git5.16.80.r137.g1cea564-15.16.80.r138.g212a977-1
                          prison-git5.59.0.r203.g165a4bf-15.59.0.r204.gb562d2d-1
                         purpose-git5.59.0.r617.g7002e0c-15.59.0.r618.g4178957-1
              qqc2-desktop-style-git5.59.0.r262.g6d0289d-15.59.0.r265.g396debd-1
                           solid-git5.59.0.r477.g8d7b82e-15.59.0.r481.gff02d38-1
                          sonnet-git5.59.0.r467.gaf7d906-15.59.0.r468.gda48338-1
                     syndication-git5.59.0.r707.g405594a-15.59.0.r708.ge84f5d8-1
             syntax-highlighting-git5.59.0.r938.g4d2329e-15.59.0.r942.ge608d55-1
                  systemsettings-git5.16.80.r2037.g3777796-15.16.80.r2038.g1bb530b-1
                    threadweaver-git5.59.0.r394.g8c66efb-15.59.0.r395.g14b0d94-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-01           2019-06-02
-------------------------------------------------------------------------------
                             cryptol              2.7.0-7              2.7.0-8
                              cython             0.29.9-1            0.29.10-1
                             cython2             0.29.9-1            0.29.10-1
                        deepin-clone            1.1.2.1-1              1.1.3-1
               deepin-control-center             4.10.6-1             4.10.7-1
                         deepin-dock             4.10.1-1             4.10.2-1
                 deepin-file-manager            1:4.8.6-1          1:4.8.6.1-1
                 deepin-image-viewer             1.3.15-1             1.3.16-1
                     deepin-launcher             4.6.10-1             4.6.11-1
                        deepin-movie           1:3.2.23-1         1:3.2.23.2-1
                        deepin-music           3.1.17.1-1             3.1.18-1
                 deepin-polkit-agent              0.2.8-1              0.2.9-1
               deepin-qt5integration             0.3.11-2             0.3.12-1
                   deepin-session-ui              4.9.7-1              4.9.8-1
                     deepin-terminal              3.2.4-1              3.2.5-1
                          displaycal            3.8.1.0-1            3.8.1.1-1
                           git-annex        7.20190507-20        7.20190507-21
                               gnurl             7.64.0-1             7.65.0-1
                  haskell-aeson-diff           1.1.0.7-10           1.1.0.7-11
                        haskell-dbus              1.2.7-7              1.2.7-8
                       haskell-extra             1.6.16-6             1.6.17-1
                  haskell-fdo-notify            0.3.1-167            0.3.1-168
                 haskell-filepattern             0.1.1-10             0.1.1-11
                      haskell-hakyll          4.12.5.2-18          4.12.5.2-19
                 haskell-hledger-lib            1.14.1-25            1.14.1-26
                       haskell-ipynb               0.1-38               0.1-39
                       haskell-pipes             4.3.9-28             4.3.10-1
                  haskell-pipes-http             1.0.6-29             1.0.6-30
                         haskell-sbv                8.2-7                8.2-8
                       haskell-shake             0.18.2-9            0.18.2-10
                             hledger            1.14.2-30            1.14.2-31
                         hledger-api              1.14-59              1.14-60
                          hledger-ui            1.14.2-34            1.14.2-35
                         hledger-web            1.14.1-59            1.14.1-60
                               hlint            2.1.14-37            2.1.14-38
                              hoogle           5.0.17.9-2           5.0.17.9-3
                              ledger              3.1.2-2              3.1.3-1
                                maim              5.5.2-4              5.5.3-1
                          maxima-ecl             5.43.0-1             5.43.0-2
                                mpop              1.4.3-1              1.4.4-1
                             notmuch             0.28.3-1             0.28.4-1
                        notmuch-mutt             0.28.3-1             0.28.4-1
                     notmuch-runtime             0.28.3-1             0.28.4-1
                         notmuch-vim             0.28.3-1             0.28.4-1
                              pandoc             2.7.2-52             2.7.2-53
                     pandoc-citeproc            0.16.2-49            0.16.2-50
                     pandoc-crossref           0.3.4.1-30           0.3.4.1-31
                       perl-json-any               1.39-5                    -
                     perl-strictures           2.000005-2           2.000006-1
                              pifpaf              2.2.2-1              2.2.2-2
                               ponyc             0.28.0-3             0.28.1-1
                python-dogpile.cache              0.7.1-1              0.7.1-2
               python-keystoneclient             3.19.0-1             3.19.0-2
                   python-novaclient             14.1.0-1             14.1.0-2
                 python-openstacksdk             0.27.0-1             0.28.0-1
                  python-progressbar             3.40.0-1             3.42.0-1
               python2-dogpile.cache              0.7.1-1              0.7.1-2
              python2-keystoneclient             3.19.0-1                    -
                  python2-novaclient             14.1.0-1                    -
                python2-openstacksdk             0.27.0-1             0.28.0-1
                      python2-pifpaf              2.2.2-1                    -
                 python2-progressbar             3.40.0-1             3.42.0-1
                    python2-tinycss2              0.6.1-2                    -
                            qtractor              0.9.7-1              0.9.8-1
                          shellcheck            0.6.0-119            0.6.0-120
                                skim              0.6.6-1              0.6.7-1
                            soapyuhd              0.3.4-4              0.3.4-5
                               stack           1.9.3.1-49           1.9.3.1-50
                              xmobar             0.29.5-9            0.29.5-10


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-01           2019-06-02
-------------------------------------------------------------------------------
                  pacman-mirrors-dev        4.15.0.dev5-1        4.15.0.dev6-1
                      linux-firmware                    - 20190514.711d329-1.1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-01           2019-06-02
-------------------------------------------------------------------------------
                         openssl-1.0            1.0.2.r-1            1.0.2.s-1
                             openssl            1.1.1.b-1            1.1.1.c-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-01           2019-06-02
-------------------------------------------------------------------------------
                 calamares-git 3.2.9.r5993.353005a92-1 3.2.9.r6015.36ce87e1d-1
                        linux316-zfs              0.8.0-0              0.8.0-1
                        linux318-zfs              0.8.0-0              0.8.0-1
                        linux414-zfs              0.8.0-2              0.8.0-3
                        linux419-zfs              0.8.0-1              0.8.0-2
                        linux420-zfs              0.8.0-0              0.8.0-1
                         linux44-zfs              0.8.0-0              0.8.0-1
                         linux49-zfs              0.8.0-1              0.8.0-2
                         linux50-zfs              0.8.0-1              0.8.0-2
                         linux51-zfs              0.8.0-1              0.8.0-2
                         xorg-server             1.20.5-0                    -
                  xorg-server-common             1.20.5-0                    -
                   xorg-server-devel             1.20.5-0                    -
                    xorg-server-xdmx             1.20.5-0                    -
                  xorg-server-xephyr             1.20.5-0                    -
                   xorg-server-xnest             1.20.5-0                    -
                    xorg-server-xvfb             1.20.5-0                    -
                xorg-server-xwayland             1.20.5-0                    -
                            zfs-dkms              0.8.0-0              0.8.0-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-01           2019-06-02
-------------------------------------------------------------------------------
                              ffcall               1.13-3                2.1-1
                             gnuplot              5.2.6-2              5.2.7-1
                            harfbuzz              2.5.0-1              2.5.1-1
                        harfbuzz-icu              2.5.0-1              2.5.1-1
                         imagemagick           7.0.8.47-1           7.0.8.48-1
                     imagemagick-doc           7.0.8.47-1           7.0.8.48-1
                              kismet         2016_07_R1-2         2019_05_R2-1
                                 re2           20190401-1           20190601-1
                              strace                5.0-1                5.1-1
                            wxmaxima            19.04.1-1            19.05.7-1
                         xorg-server             1.20.4-1             1.20.5-1
                  xorg-server-common             1.20.4-1             1.20.5-1
                   xorg-server-devel             1.20.4-1             1.20.5-1
                    xorg-server-xdmx             1.20.4-1             1.20.5-1
                  xorg-server-xephyr             1.20.4-1             1.20.5-1
                   xorg-server-xnest             1.20.4-1             1.20.5-1
                    xorg-server-xvfb             1.20.4-1             1.20.5-1
                xorg-server-xwayland             1.20.4-1             1.20.5-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-01           2019-06-02
-------------------------------------------------------------------------------
                      lib32-harfbuzz              2.5.0-1              2.5.1-1
                  lib32-harfbuzz-icu              2.5.0-1              2.5.1-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

4 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed

Issues with Octopi

Currently several users report different issues for Octopi. So if you encounter some of them, you may switch to pamac for now: sudo pacman -Sy pamac

Small cleanup of Manjaro official repositories

Please note that the following packages got removed from our repositories.

  • chromium-chromevox
  • gimp-gtk3
  • pamac-classic
  • pamac-dev
  • pamac-dev-tray-appindicator

ZFS 0.8 fails to import ZFS pool during boot

As noted for testing update 2019-05-29, it can be permanently fixed
by removing and re-adding the pool's cachefile :

zpool set cachefile=none <name of your pool>
zpool set cachefile=/etc/zfs/zpool.cache <name of your pool>

More details in [Testing Update] 2019-05-29 - Kernels, XFCE, Deepin, Mesa, Nvidia, KDE-Dev (search for 'ZFS' there)


Items from previous update sets

Gnome 3.32: Two extensions removed from our repos.

We have dropped two packages that shipped additional extensions for Gnome: gnome-shell-extensions-topicons-plus-huttli and gnome-shell-extensions-taskbar. We won't maintain Topicons Plus and Taskbar anymore.

Those extensions are not in active development anymore and may not work properly (or not work at all) on Gnome 3.32. Notably, it has been reported that using Topicons Plus on Gnome 3.32 may leads to very high CPU usage.

We strongly recommend you to disable those extensions if they are enabled (Tweaks > Extensions) and remove those packages with your favorite package manager. To prevent potential problems with the next version of Gnome, you may do those steps (or at least the first one) before upgrading your system.

Gnome 3.32: Various problems

There is currently several problems with Gnome 3.32. Here is what we know so far.

1. Possibility of broken extensions
Broken extensions is something to expect when transitioning between major versions of Gnome, especially if you are using extensions that are not shipped by default on Manjaro Gnome. If you have a broken extension taken from somewhere else than Manjaro official repositories, you will have to contact the maintainer on the source you have taken the extension from to get more support. You may also want to report the problem to the developer(s) of the extension (if not the same person/group).

It is possible that extensions become so broken on Gnome 3.32 that it makes Gnome Shell crash completely when trying to log in, thus making Gnome completely unusable. For example, we have a report of such issue with a third-party extension (that doesn't come from Manjaro's official repositories) called Extensions.

To decrease the risk of breakage (especially if running Gnome extensions that does not come from Manjaro official repositories) and make the upgrade smoother, you can disable all Gnome extensions (Tweaks > Extensions) before upgrading your system, then enable them one by one only after being logged in a completely new session on Gnome 3.32.

2. Using world clocks can break Gnome Shell completely
If you have configured world clocks in Gnome, it may make Gnome Shell segfaults and crashes when trying to log in for a graphical session, making Gnome unusable. If it happens, you will need to reset your parameters for world clocks with the following command (do it in TTY): dbus-launch gsettings reset org.gnome.clocks world-clocks.
See this Arch Linux thread and this ticket from upstream.

3. Gnome Shell may crash completely when resuming from sleep if you use Wayland
If you are using Wayland (instead of X.org), Gnome Shell may crash when resuming from sleep. Upstream is aware of this issue. As a workaround, you may use X.org instead of Wayland for now.

4. Miscellaneous
Some programs don't get focused after being launched. Reported to upstream and confirmed for distributions other than Manjaro too.


Yaourt: Rest in peace

Yaourt has been removed from our repositories completely. We won't maintain the yaourt package anymore, which means that you will not receive any updates from us for this package. A very old package named yaourt-gui-manjaro has been removed at the same time too.

If you are still using Yaourt, we strongly encourage you to switch to an alternative like Pamac CLI (package: pamac-cli), Trizen (package: trizen), Yay (package: yay) or Pacaur (package: pacaur); and uninstall Yaourt from your system.

In addition to that, we have dropped support for several packages that depended on yaourt: allservers, pacli and pacli-jwm. Those packages has been removed from the official repositories completely.


vlc-nightly has been dropped

The vlc-nightly package, which was really useful in a time when VLC 3 was not officially out yet, has been dropped on our side and is not in the official repositories anymore. If you still have this package and you want the latest stable version of VLC media player, remove vlc-nightly, then install the vlc package.

Otherwise, you can continue to use vlc-nightly from the AUR (but you'll have to compile it yourself).

Kodi 18.1: extensions may not work properly.

Kodi 18.1 is now available in our repositories. Since this is a major version change, extensions for Kodi (if you use some) may stop working properly. Developers of those extensions will need to make them compatible with Kodi 18.

If Kodi 18.1 doesn't work properly for you and you absolutely need to use your extensions, you may use the old kodi package in /var/cache/pacman/pkg in order to downgrade Kodi to version 17.6. Please note that it is a temporary workaround and that the software provided in the old kodi package may stop working properly in the future too. You should not keep the downgrade forever.

Notifications looking weird in XFCE

Since the package dunst includes now dunstfy in the main package notifications may not displayed properly in XFCE. Please uninstall that package to solve that issue. Normally not needed in that edition.

Plasma will not reboot from the Application Launcher

If you update from within Plasma (e.g. from the konsole), you may need to issue a systemctl reboot to reboot.

I can't open Nemo with elevated privileges (as root)

Workaround found: Use the dbus-x11 package instead of the regular dbus package. This package is available in the official repositories and provides dbus compiled without the --without-x option.

To replace dbus with dbus-x11 package, simply install dbus-x11 with your favorite package manager: dbus will be replaced by dbus-x11.


Pamac: "Failed to commit transaction - Transaction not prepared" at the end

So far, it has only been a false alarm: updates are applied successfully.


AMD-Ucode introduction

Unless you've already done this previously, All users of AMD-APUs/CPUs should install this update like this:

sudo pacman -Syyu
sudo pacman -S amd-ucode
sudo pacman -R intel-ucode
sudo update-grub

Step 3 is optional.


Rebuilding fontconfig cache: failed to write cache

Please ignore this message. Upstream already works on a solution. More about the issue here.


LibreOffice has no window decoration in KDE

New line export SAL_USE_VCLPLUGIN=gtk3_kde5, once merged into existing /etc/profile.d/libreoffice-fresh.sh , fixes a moderately longterm issue. If it doesn't work for you, you may use gtk instead of gtk3_kde5 as UI framework.


Installing glibc (2.28-4) breaks the dependency “glibc=2.27” required by lib32-glibc

Install the update either:

  • from terminal: sudo pacman -Syu or;
  • with Octopi instead of Pamac.

Something using Perl/Python/glibc broke

Rebuilds needed!

  • If it's an AUR package, try to reinstall it from AUR. It most likely needs to be rebuilt.
  • If it's a repo package, please report and check back regularly for updates.

I've lost a Thunderbird addon/feature

Thunderbird 60 disables incompatible addons by default. There's an about:config switch should you want to force-enable the addon, but many addons simply will not work with the newer Quantum-based Thunderbird.

Read more about Thunderbird 60 here: Thunderbird 60


Firefox - WebGL not working anymore

You may try the following solution:

Open about:config and set security.sandbox.content.read_path_whitelist to /sys/.


libutf8proc>=2.1.1-3 update may require manual intervention

This should normally be automatically fixed via manjaro-system update.

The libutf8proc package prior to version 2.1.1-3 had an incorrect soname link. This has been fixed in 2.1.1-3, so the upgrade will need to overwrite the untracked soname link created by ldconfig. If you get an error

libutf8proc: /usr/lib/libutf8proc.so.2 exists in filesystem

when updating, use


pacman -Suy --overwrite usr/lib/libutf8proc.so.2

to perform the upgrade.


Pamac: "Invalid or corrupted package."

If you receive an "Invalid or corrupted package." error message with Pamac and if the details contains an output similar to the following:

Details
Synchronizing package databases...
Starting full system upgrade...

Preparing...
Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading manjaro-system-20180716-1-any.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading manjaro-system (20180702-1 -> 20180716-1)...
==> Fix libutf8proc upgrade ...
resolving dependencies...
looking for conflicting packages...

Packages (1) libutf8proc-2.1.1-4

Total Download Size:   0.05 MiB
Total Installed Size:  0.32 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
downloading libutf8proc-2.1.1-4-x86_64.pkg.tar.xz...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
upgrading libutf8proc...
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
Running post-transaction hooks...
Arming ConditionNeedsUpdate...
Warning: lock file missing /var/lib/pacman/db.lck
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Error: could not open file /var/lib/pacman/local/libutf8proc-2.1.1-2/files: No such file or directory
Warning: could not fully load metadata for package libutf8proc-2.1.1-2

Failed to prepare transaction:
invalid or corrupted package

Try the following steps: close Pamac window first, then launch it again and start the update procedure again. It should continue from where it left off.


Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you're able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if 'default.pa' has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.

All good for me.:grinning:
LXQT+ Kernel 5.1
Thanks!

Xfce ( Gtk+) + Kernel 5.1.6 + Steam(openGl) + youtube(video) OK

1 Like

You are really busy these days... :slightly_smiling_face:

All fine for on XFCE + Kernel 5.1.6.

Just wondering, if the new version of Octopi has so many issues, would it be better to just stick with the previous version that is known to work more or less fine, or at least better than the newest one?

1 Like

I understand that the KDE-Dev ISO is not for newbies, nor for main production usage, but have you thought about a transition when KDE releases Plasma 5.16.0, and the KDE Plasma -git package names are already at 5.16.80 (my KDE-Dev update pasted below)?

Packages (114) attica-git-5.59.0.r698.g8558af1-1  baloo-git-5.59.0.r2566.g053a6f6e-1  bluez-qt-git-5.59.0.r536.g753ce19-1
               breeze-git-5.16.80.r1845.g8d768ab5-1  breeze-icons-git-5.59.0.r1334.gff72016e-1  curl-7.65.0-2  discover-git-5.16.80.r7263.g679b1fa3-1
               double-conversion-3.1.5-1  e2fsprogs-1.45.2-1  file-5.37-2  flatpak-1.4.0-1  frameworkintegration-git-5.59.0.r459.gcfb4323-1
               geoclue-2.5.3-2  glslang-7.11.3214-1  gnupg-2.2.16-1  gnutls-3.6.8-1  gst-plugins-base-1.16.0-3  gst-plugins-base-libs-1.16.0-3
               gstreamer-1.16.0-2  harfbuzz-2.5.1-1  harfbuzz-icu-2.5.1-1  kactivities-git-5.59.0.r1231.g3e7bacd1-1
               kactivities-stats-git-5.59.0.r215.g781d432-1  karchive-git-5.59.0.r360.ge569c17-1  kauth-git-5.59.0.r301.g4463d8d-1
               kbookmarks-git-5.59.0.r262.g19cf1f7-1  kcmutils-git-5.59.0.r308.ge856359-1  kcodecs-git-5.59.0.r256.g6fb4317-1
               kcompletion-git-5.59.0.r297.g1b94adb-1  kconfig-git-5.59.0.r571.gb0f86fd-1  kconfigwidgets-git-5.59.0.r373.g506254b-1
               kcoreaddons-git-5.59.0.r828.ge0f5bf2-1  kcrash-git-5.59.0.r251.g7656928-1  kdbusaddons-git-5.59.0.r262.g12e184b-1
               kde-gtk-config-git-5.16.80.r710.ge2e2d08-1  kdeclarative-git-5.59.0.r666.g18de001-1  kded-git-5.59.0.r264.g3950502-1
               kdelibs4support-git-5.59.0.r870.g4b12ebec-1  kdesu-git-5.59.0.r351.gb40214f-1  keepassxc-2.4.2-1  kemoticons-git-5.59.0.r268.g44c0cb6-1
               kfilemetadata-git-5.59.0.r616.gace5b41-1  kglobalaccel-git-5.59.0.r304.g21d5fb7-1  kguiaddons-git-5.59.0.r227.gc2d9c70-1
               ki18n-git-5.59.0.r331.g4e7e041-1  kiconthemes-git-5.59.0.r361.g2e7c763-1  kidletime-git-5.59.0.r209.g5421972-1
               kinfocenter-git-5.16.80.r1467.g275edf6-1  kinit-git-5.59.0.r295.gea29972-1  kio-git-5.59.0.r3441.g197e7366-1
               kirigami2-git-5.59.0.r1834.gbf0d719-1  kitemmodels-git-5.59.0.r347.ge292b3f-1  kitemviews-git-5.59.0.r219.g7c7edc2-1
               kjobwidgets-git-5.59.0.r245.g484dc7c-1  kjs-git-5.59.0.r230.g8cbcd6c-1  kjsembed-git-5.59.0.r204.gdaccf90-1
               knetattach-git-5.16.80.r6656.gf5ad1bfc-1  knewstuff-git-5.59.0.r674.gdca3a8c-1  knotifications-git-5.59.0.r427.g8a586a2-1
               knotifyconfig-git-5.59.0.r237.g3a86e11-1  kpackage-git-5.59.0.r513.ge5f7945-1  kparts-git-5.59.0.r320.g589f608-1
               kpeople-git-5.59.0.r1178.g1f9aa73-1  kpty-git-5.59.0.r217.gb9dcc6d-1  krunner-git-5.59.0.r361.g2ccb357-1
               kscreen-git-5.16.80.r1119.gb6c2585-1  kscreenlocker-git-5.16.80.r696.gbb8958e-1  kservice-git-5.59.0.r647.g9611ca1-1
               ksysguard-git-5.16.80.r3111.g038cc25e-1  ktexteditor-git-5.59.0.r2061.g09363673-1  ktextwidgets-git-5.59.0.r257.g65a0069-1
               kunitconversion-git-5.59.0.r260.g2274910-1  kwallet-git-5.59.0.r896.gd966cbb-1  kwayland-git-5.59.0.r925.g831374c-1
               kwidgetsaddons-git-5.59.0.r547.g6de1fe2-1  kwin-git-5.16.80.r17005.gc62650394-1  kwindowsystem-git-5.59.0.r428.g3a5f49a-1
               kxmlgui-git-5.59.0.r506.gd2253f7-1  libebml-1.3.9-1  libmatroska-1.5.2-1  libnewt-0.52.21-1  libqalculate-3.2.0-1
               librsvg-2:2.44.14+1+g17bb3cd6-1  libshout-1:2.4.2-1  libsodium-1.0.18-1  libsoup-2.66.2+4+g716acf96-1  linux-firmware-20190514.711d329-1.1
               linux50-5.0.20-1  modemmanager-qt-git-5.59.0.r417.gd91c850-1  networkmanager-qt-git-5.59.0.r993.g56dbd9c-1  octopi-0.9.0-7
               octopi-cachecleaner-0.9.0-7  octopi-repoeditor-0.9.0-7  openssl-1.1.1.c-1  pipewire-0.2.6-1  plasma-desktop-git-5.16.80.r6656.gf5ad1bfc-1
               plasma-framework-git-5.59.0.r15179.gb3bb412ef-1  plasma-nm-git-5.16.80.r2573.g179cd8ba-1  plasma-workspace-git-5.16.80.r7597.gb059097a-1
               prison-git-5.59.0.r204.gb562d2d-1  qqc2-desktop-style-git-5.59.0.r265.g396debd-1  quazip-0.8.1-1  re2-20190601-1
               solid-git-5.59.0.r481.gff02d38-1  sonnet-git-5.59.0.r468.gda48338-1  systemsettings-git-5.16.80.r2038.g1bb530b-1
               thin-provisioning-tools-0.8.3-1  vulkan-icd-loader-1.1.108-1  xdg-desktop-portal-1.4.2-1  xdg-desktop-portal-gtk-1.4.0-1
               xkeyboard-config-2.27-1  xorg-server-1.20.5-1  xorg-server-common-1.20.5-1  xterm-346-1

Xfce4 install - yay -Syyu - No issues.
Cinnamon install - yay-Syyu - No issues.

:slight_smile:

works fine for me: linux419/50+zfs+nvidia+cinnamon

And thank you for the quick zfs update!

Everything works fine here on 2 KDE testing machines :slight_smile:

Please check if revision 8 works. It is a repack of 6. Else we use 6 again but consider to drop octopi in near future.

I've dropped Octopi from my notebook after reading your post. I know you haven't decided either way yet but the fact you posted such a discussion is being entertained it will most likely be the end result. I really don't mind what GUI package manager I use since they both provide the same function.

Anyhow, it's now running pamac-gtk, I did try pamac-qt (obviously still needs work) but it crashed when I tried using it to remove all the Octopi packages, none of which were running at the time. I'll switch my other install over too later.

1 Like

Still problems with nouveau


Mai 29 11:43:58  kernel: nouveau 0000:08:00.0: gr: PGRAPH TLB flush idle timeout fail
Mai 29 11:43:59  kernel: nouveau 0000:08:00.0: gr: PGRAPH_STATUS 01bfe101 [BUSY CTXPROG RATTR_APLANE TRAST CLIPID ZCULL ENG2D RMASK TPC_RAST TPC_PROP TPC_TEX TPC_MP ROP]
Mai 29 11:43:59  kernel: nouveau 0000:08:00.0: gr: PGRAPH_VSTATUS0: 00000000 []
Mai 29 11:43:59  kernel: nouveau 0000:08:00.0: gr: PGRAPH_VSTATUS1: 0000106d [TPC_TEX TPC_MP]
Mai 29 11:43:59  kernel: nouveau 0000:08:00.0: gr: PGRAPH_VSTATUS2: 0034da43 [TRAST ENG2D ROP]


...


 INFO: task kworker/u8:2:1186 blocked for more than 505 seconds.
Mai 29 11:53:24  kernel:       Tainted: G        W         5.1.4-1-MANJARO #1
Mai 29 11:53:24  kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Mai 29 11:53:24  kernel: Call Trace:
Mai 29 11:53:24  kernel:  ? __schedule+0x30b/0x8b0
Mai 29 11:53:24  kernel:  schedule+0x32/0x80
Mai 29 11:53:24  kernel:  schedule_timeout+0x311/0x4a0
Mai 29 11:53:24  kernel:  ? nouveau_fence_is_signaled+0x39/0x40 [nouveau]
Mai 29 11:53:24  kernel:  dma_fence_default_wait+0x204/0x280
Mai 29 11:53:24  kernel:  ? dma_fence_wait_timeout+0x120/0x120
Mai 29 11:53:24  kernel:  dma_fence_wait_timeout+0x105/0x120
Mai 29 11:53:24  kernel:  drm_atomic_helper_wait_for_fences+0x38/0xc0 [drm_kms_helper]
Mai 29 11:53:24  kernel:  nv50_disp_atomic_commit_tail+0x72/0x690 [nouveau]
Mai 29 11:53:24  kernel:  ? finish_task_switch+0x84/0x2d0
Mai 29 11:53:24  kernel:  ? __switch_to_asm+0x35/0x70
Mai 29 11:53:24  kernel:  process_one_work+0x1eb/0x410
Mai 29 11:53:24  kernel:  worker_thread+0x2d/0x3d0
Mai 29 11:53:24  kernel:  ? process_one_work+0x410/0x410
Mai 29 11:53:24  kernel:  kthread+0x112/0x130
Mai 29 11:53:24  kernel:  ? kthread_park+0x80/0x80
Mai 29 11:53:24  kernel:  ret_from_fork+0x35/0x40

Everything working so far, had to ignore a package:

:: Retrieving packages...

(1/1) libinput-gestures-2.44-1-any 
checking keys in keyring
checking package integrity
error: libinput-gestures: signature from "Matti Hyttinen " is unknown trust 

:: File /var/cache/pacman/pkg/libinput-gestures-2.44-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).

error: failed to commit transaction (invalid or corrupted package (PGP signature)) 
Errors occurred, no packages were upgraded.

Command finished with errors!

https://forum.manjaro.org/t/issues-with-signature-is-marginal-trust-or-invalid-or-corrupted-package/

2 Likes

not working here still says corrupted, maybe actually corrupted?

1 Like

See here

2 Likes

This morning, I got a new Kernel Version: 4.19.48-1-MANJARO
And Octopi was moved to community, and maybe upgraded as well.

No breakage so far.

Could this indicate that octopi will be removed in favor of pamac-qt when it will be stable?

I too received several updates this morning; one broke the update process. At some point in the past I had added missing Breath status icons for:
media-playback-paused.svg
media-playback-playing.svg
media-playback-stopped.svg

The breath-icon-theme (0.4.0-1 -> 0.4.0-2) update gave the following errors:

conflicting files:
breath-icon-theme: /usr/share/icons/breath/status/16/media-playback-paused.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/16/media-playback-playing.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/16/media-playback-stopped.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/22/media-playback-paused.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/22/media-playback-playing.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/22/media-playback-stopped.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/24/media-playback-paused.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/24/media-playback-playing.svg already exists in filesystem
breath-icon-theme: /usr/share/icons/breath/status/24/media-playback-stopped.svg already exists in filesystem

After deleting the offending status Breath icons I re-ran the update (sudo pacman -Syu). It completed with no errors.

1 Like